REM
REM Licensed Materials - Property of IBM
REM Rational ClearQuest
REM (C) Copyright IBM Corp. 2006, 2014. All Rights Reserved.
REM
REM US Government Users Restricted Rights -
REM Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
REM
REM=========================================================================================
REM cq_ora_user_clob.sql - Run this file to setup proper privs for ClearQuest Oracle user
REM=========================================================================================
REM 
REM Run this using an Oracle dba user
REM i.e. sqlplus <dbauser>/<password>@<tnsname> @setup_cq_ora_user_clob.sql <cquser>

define cquser = &1
prompt ... granting CTXAPP role
GRANT ctxapp TO &cquser;
prompt ... granting select on ctxsys.ctx_indexes
GRANT SELECT ON ctxsys.ctx_indexes TO &cquser;
-- if this hasn't been done the error message returned on select count(*) from ctxsys.ctx_indexes will be:
-- ERROR at line 1:
-- ORA-00942: table or view does not exist

quit;
